package com.acme.vcutil.supplier;

import com.acme.model.domain.ad.entity.Content;
import com.acme.structure.util.ConversionUtil;
import com.acme.structure.util.datalist.SimpleStaticListSupplier;
import com.acme.structure.util.datalist.StaticData;
import com.acme.util.ui.UIHelper;


public class ContentTypeSupplier extends SimpleStaticListSupplier
{
    public void loadList()
    {
        clearList();
        list.add(new StaticData(Content.TYPE_IMAGE, UIHelper.getStringResourceItem("SC", "contenttypesupplier_image")));
        list.add(new StaticData(Content.TYPE_TEXT, UIHelper.getStringResourceItem("SC", "contenttypesupplier_text")));
        list.add(new StaticData(Content.TYPE_MULTIPART, UIHelper.getStringResourceItem("SC", "contenttypesupplier_multipart")));
        list.add(new StaticData(Content.TYPE_MESSAGE, UIHelper.getStringResourceItem("SC", "contenttypesupplier_message")));
        list.add(new StaticData(Content.TYPE_AUDIO, UIHelper.getStringResourceItem("SC", "contenttypesupplier_audio")));
        list.add(new StaticData(Content.TYPE_VIDEO, UIHelper.getStringResourceItem("SC", "contenttypesupplier_video")));
        list.add(new StaticData(Content.TYPE_APPLICATION, UIHelper.getStringResourceItem("SC", "contenttypesupplier_application")));        
        itemList.addAll(ConversionUtil.getConvertedToSelectItemListWithStaticData(list, false));
    }

    public String getListName()
    {
        return "contenttypes";
    }
}
